Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.model
Class ClosureModel

Represents a value model using a closure to extract the value from some source model and an optional write closure for updating the value.

author:
  James Strachan

version:
  $Revision: 7922 $

Field Summary
`Closure` | `readClosure`
`ValueModel` | `sourceModel`
`Class` | `type`
`Closure` | `writeClosure`

Constructor Summary
`ClosureModel(ValueModel sourceModel, Closure readClosure)`
`ClosureModel(ValueModel sourceModel, Closure readClosure, Closure writeClosure)`
`ClosureModel(ValueModel sourceModel, Closure readClosure, Closure writeClosure, Class type)`

Method Summary
`ValueModel` | `getSourceModel()`
`Class` | `getType()`
`Object` | `getValue()`
`boolean` | `isEditable()`
`void` | `setValue(Object value)`

Constructor Detail

### ClosureModel

    public ClosureModel(ValueModel sourceModel, Closure readClosure)

### ClosureModel

    public ClosureModel(ValueModel sourceModel, Closure readClosure, Closure writeClosure)

### ClosureModel

    public ClosureModel(ValueModel sourceModel, Closure readClosure, Closure writeClosure, Class type)

Method Detail

### getSourceModel

    public ValueModel getSourceModel()

### getType

    public Class getType()

### getValue

    public Object getValue()

### isEditable

    public boolean isEditable()

### setValue

    public void setValue(Object value)